# Class HpsMeasureElement

#### Hierarchy (view full)

- XmlComponent
  - HpsMeasureElement

- Defined in file/xml-components/simple-elements.ts:34

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new HpsMeasureElement(name, val): HpsMeasureElement

- #### Parameters

  - name: string
  - val: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi`

  #### Returns HpsMeasureElement

  Overrides XmlComponent.constructor

  - Defined in file/xml-components/simple-elements.ts:35

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc